商品アフィリエイト
概要
product_id を使用して、商品をプロモーションしているアフィリエイトを取得します。
エンドポイント
bash
POST /product/v1/creatorListリクエストボディ
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
filter | object | はい | フィルターパラメータ |
page | integer | いいえ | ページ番号, デフォルト: 1 |
pagesize | integer | いいえ | 1ページあたりの件数, デフォルト: 10 |
filter オプション
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
product_id | string | はい | 商品ID |
リクエスト例
bash
curl 'https://openapi.fastmoss.com/product/v1/creatorList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"product_id": "1734037502413342614",
},
"orderby": {
"field": "units_sold",
"order": "desc"
},
# "orderby": {
# "field": "gmv",
# "order": "desc"
# },
# "orderby": {
# "field": "follower_count",
# "order": "desc"
# },
# "orderby": {
# "field": "digg_count",
# "order": "desc"
# },
"page": 1,
"pagesize": 10
}'レスポンスボディ
data.total
結果の総数
data.list
| フィールド | 型 | 説明 |
|---|---|---|
uid | string | クリエイターUID |
unique_id | string | クリエイターのユニークID |
nickname | string | クリエイターのニックネーム |
avatar | string | クリエイターのアバターURL |
units_sold | integer | クリエイター販売数 |
gmv | float | クリエイターGMV |
category_id | integer | クリエイターカテゴリID |
category_name | string | クリエイターカテゴリ名 |
follower_count | integer | クリエイターのフォロワー数 |
aweme_count | integer | クリエイターの動画数 |
favoriting_count | integer | クリエイターのいいね獲得数 |
region | string | クリエイターの地域 |
レスポンス例
json
{
"code": 0,
"msg": "success",
"data": {
"total": 8,
"list": [
{
"uid": "6893103660525831169",
"units_sold": 1354,
"gmv": 22034.60,
"unique_id": "twobakeboys",
"nickname": "Twobakeboys",
"avatar": "https://s.500fd.com/tt_author/935c7d720caecc448ed85fbcbac1218b~c5_300x300.jpeg",
"category_id": 5, //creator's category_id
"category_name": "Food & Beverage", //creator's category_name
"category": [//deprecated
"Food & Beverage"
],
"follower_count": 22572,
"aweme_count": 510,
"favoriting_count": 480,
"region": "SG" //creator's region
}
]
}
}